/**
 * Sequlize也不要了，只要核心的模块，sequelize自己默认已经有了
 */
import { UserServices, User, UserInit, UserModel } from './models/user.ts';
import { Org, OrgInit, OrgModel } from './models/org.ts';
import { addAuth } from './middleware/auth.ts';
export { User, Org, UserServices, UserInit, OrgInit, UserModel, OrgModel };
/**
 * 可以不需要user成功, 有则赋值，交给下一个中间件
 */
export const authCan = 'auth-can';
/**
 * 必须需要user成功
 */
export const auth = 'auth';
export { addAuth };
