import { OAuth, RedisTokenStore } from './oauth.ts';
import { useContextKey } from '@kevisual/use-config/context';
import { Redis } from 'ioredis';

export const redis = useContextKey<Redis>('redis');
export const oauth = useContextKey('oauth', () => new OAuth(new RedisTokenStore(redis)));
